Page MenuHomePhabricator

[ARM][NEON] Combine base address updates for vst1x intrinsics
ClosedPublic

Authored by krisb on May 11 2021, 10:04 AM.

Diff Detail

Event Timeline

krisb created this revision.May 11 2021, 10:04 AM
krisb requested review of this revision.May 11 2021, 10:04 AM
Herald added a project: Restricted Project. · View Herald TranscriptMay 11 2021, 10:04 AM
krisb added a subscriber: dmgreen.

Oh, I didn't notice the recent patch https://reviews.llvm.org/rG76786037c68163c48d7d829bb654de6c8298bbb0.
@dmgreen, could I ask you to take a look at this? I'll rebase the patch on the top of 'main' soon.

Oh yeah. Sounds great. It will certainly do better that just disabling the postinc!

krisb updated this revision to Diff 345253.May 13 2021, 12:34 PM
krisb retitled this revision from [ARM][NEON] Fix combining base address updates for vst1x to [ARM][NEON] Combine base address updates for vst1x intrinsics.

Rebased on the top of main.

krisb edited the summary of this revision. (Show Details)May 13 2021, 12:46 PM
dmgreen accepted this revision.May 17 2021, 3:29 AM

This LGTM, from what I can tell. Thanks for the patch.

This revision is now accepted and ready to land.May 17 2021, 3:29 AM
This revision was landed with ongoing or failed builds.May 19 2021, 5:06 AM
This revision was automatically updated to reflect the committed changes.